Tasuku
ReferenceAPI referenceWorkflows

Return dashboard review aggregates and seven-day activity

GET/organizations/{organization_id}/overview

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/string/overview"
{  "data": {    "summary": {      "needs_attention": 0,      "active_work_items": 0,      "completed_last_7_days": 0,      "active_automations": 0    },    "attention": [      {        "id": "string",        "title": "string",        "state": "OPEN",        "source": "GITHUB",        "summary": "string",        "completed_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      }    ],    "active_work": [      {        "id": "string",        "title": "string",        "state": "OPEN",        "source": "GITHUB",        "summary": "string",        "completed_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      }    ],    "recent_outcomes": [      {        "id": "string",        "title": "string",        "state": "OPEN",        "source": "GITHUB",        "summary": "string",        "completed_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      }    ],    "upcoming_automations": [      {        "id": "string",        "kind": "QUESTION",        "prompt": "string",        "status": "ACTIVE",        "next_run_at": "2019-08-24T14:15:22Z",        "consecutive_failures": 0      }    ],    "activity": [      {        "date": "2019-08-24",        "reviews": 0,        "research": 0,        "delivery": 0      }    ]  }}